<!-- ZwSelect -->
<template>
  <el-select :placeholder="placeholder" v-model="Value" :disabled="disabled" :clearable="clearable" :readonly="readonly" :filterable="filterable">
    <el-option v-if="hasNull" :label="placeholder" value=""></el-option>
    <el-option v-for="item in List" :key="item[valueKey]" :label="item[labelKey]" :value="item[valueKey]"></el-option>
  </el-select>
</template>

<script>
export default {
  name: 'ZwSelect',
  props: {
    //是否出现请选择
    hasNull: {
      type: Boolean,
       default: true
    },
    value: {
      type: String | Number,
      required: true
    },
    disabled: Boolean,
    readonly: Boolean,
    placeholder: String,
    type: {
      type: String,
      default: 'text'
    },
    filterable: {
      type: Boolean,
      default: true
    },
    clearable: {
      type: Boolean,
      default: true
    },

    List: {
      required: true
    },
    valueKey: {
      type: String,
      default: 'id'

    },
    labelKey: {
      type: String,
      default: 'name'
    }


  },

  computed: {
    Value: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }

    }
  },
  data() {
    return {
    }
  },
  methods: {
    //初始化方法
    init() { }
  },
}

</script>
<style lang='scss' scoped>
</style>